Bug 82107 - gnome-theme-manager crashes
gnome-theme-manager crashes
Product: Red Hat Raw Hide
Classification: Retired
Component: control-center (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Jonathan Blandford
David Lawrence
Depends On:
Blocks: 79578
  Show dependency treegraph
Reported: 2003-01-17 11:38 EST by Nathan G. Grennan
Modified: 2013-04-02 00:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-21 15:34:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2003-01-17 11:38:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20021216

Description of problem:
If using sawfish as the window manager instead of metacity gnome-theme-manager
crashes on startup. It does this with control-center-2.1.6-2 and
control-center-2.1.3-1 that came with Phoebe. I would expect it to handle lack
of metacity gracefully.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run killall -9 metacity ; sawfish
2. run gnome-theme-manager


Actual Results:  gnome-theme-manager crashes

Expected Results:  gnome-theme-manager to load either grey out the window
manager theme tab, give a warning, or integrate with sawfish as it does with

Additional info:
Comment 1 Need Real Name 2003-01-19 11:11:44 EST
You can select what window manager to use from .xsession by using
"export WINDOW_MANAGER=sawfish" (or metacity, or whatever you want).
It puzzled me as well at first when suddenly it seemed I was stuck
with metacity (without decent themes) instead of sawfish, until I
figured out that it's the /usr/bin/gnome-wm script that actually
starts the window manager. When I use the above way of selecting
the window manager and then starting "gnome-session &", the theme
manager works okay (except for some irrelevant warnings about FAM
and a metacity theme).
Comment 2 Nathan G. Grennan 2003-01-19 13:07:20 EST
I tried as you suggested and it hasn't helped.

I made ~/.Xclients and it has these contents:



/usr/bin/gnome-wm &
exec /usr/bin/gnome-session

gnome-theme-manager still crashes. I think the crash is slightly different with
the newer version of control-center. It used to come up half way and then crash,
now it crashes instantly. It doesn't crash with metacity.

gnome-wm which uses WINDOW_MANAGER is really meant for running Gnome without
session management.
Comment 3 Need Real Name 2003-01-20 03:38:41 EST
What I meant is that you start gnome-session without starting gnome-wm first. At
least, that works for me. Also, I have those lines in ~/.xsession, not
~/.Xclients. I don't know if that should make a difference.
These are the relevant lines from my ~/.xsession:
export WINDOW_MANAGER=sawfish
gnome-session &
wait $WM_PID
Comment 4 Nathan G. Grennan 2003-01-20 04:02:57 EST
I just tried exactly what you suggested and I ended up no window manager. I
think tried gnome-theme-manager after running sawfish, it crashed.

I am running Phoebe beta.
Comment 5 Nathan G. Grennan 2003-01-20 08:53:16 EST
Just fresh installed phoebe2, now gnome-theme-manager crashes even with metacity.
Comment 6 Need Real Name 2003-01-20 10:32:11 EST
You need to select the 'Default' session in gdm instead of the 'GNOME' one to
have it run ~/.xsession (or ~/.Xclients; it uses that as fallback when
~/.xsession doesn't exist) from /etx/X11/xdm/Xsession. If you choose the 'GNOME'
session, /etc/X11/xdm/Xsession will run gnome-session itself directly, without
Comment 7 Nathan G. Grennan 2003-01-20 10:52:06 EST
Tried what you suggested, got no window manager again.
Comment 8 Jonathan Blandford 2003-01-21 15:34:30 EST
The theme manager no longer crashes when sawfish is present, but doesn't really
support it.  Moving upstream to gnome.org.

Note You need to log in before you can comment on or make changes to this bug.